## This is for MACOSX and Windows only
%global	__requires_exclude	pear\\(Net/Growl.php\\)
%define		_class		Net
%define		_subclass	Monitor
%define		upstream_name	%{_class}_%{_subclass}
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear

Name:		php-pear-%{upstream_name}
Version:	0.3.0
Release:	%mkrel 6
Summary:	Remote service monitor
License:	PHP License
Group:		Development/PHP
URL:		http://pear.php.net/package/Net_Monitor/
Source0:	http://pear.php.net/get/%{upstream_name}-%{version}.tgz
BuildRequires:	php-pear >= 1.4.7
Requires:	php-pear >= 1.4.0b1
BuildArch:	noarch


%description
A unified interface for checking the availability services on external
servers and sending meaningful alerts through a variety of media if a
service becomes unavailable.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_Monitor.xml


%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_Monitor.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_Monitor
fi

%files
%doc docs/Net_Monitor/*
%{peardir}/*
%{xmldir}/Net_Monitor.xml


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.3.0-6.mga8
+ Revision: 1499112
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.3.0-5.mga7
+ Revision: 1273731
- Mageia 7 Mass Rebuild

* Mon Feb 01 2016 umeabot <umeabot> 0.3.0-4.mga6
+ Revision: 929872
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 747780
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.0-2.mga5
+ Revision: 687380
- Mageia 5 Mass Rebuild
+ tv <tv>
- use %%global for req/prov exclude
- autoconvert to new prov/req excludes

* Wed Sep 03 2014 spuhler <spuhler> 0.3.0-1.mga5
+ Revision: 671193
- upgrade to ver. 0.3.0

* Sat Oct 19 2013 umeabot <umeabot> 0.2.5-3.mga4
+ Revision: 528340
- Mageia 4 Mass Rebuild

* Mon Jun 17 2013 spuhler <spuhler> 0.2.5-2.mga4
+ Revision: 444251
- added %%define _requires_exceptions pear(Net/Growl.php)
 * Growl is for MACOSX and Windows only

* Mon Jun 17 2013 spuhler <spuhler> 0.2.5-1.mga4
+ Revision: 443839
- upgrade to version 0.2.5
- pearized spec file

* Sun Jan 13 2013 umeabot <umeabot> 0.2.4-7.mga3
+ Revision: 377021
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 29 2011 spuhler <spuhler> 0.2.4-6.mga1
+ Revision: 43884
- removed buildroot definition from .spec
  removed the if mdkversion lines
- imported package php-pear-Net_Monitor


* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-6mdv2011.0
+ Revision: 613732
- the mass rebuild of 2010.1 packages

* Sun Nov 22 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.4-5mdv2010.1
+ Revision: 468710
- spec cleanup
- use pear installer
- don't ship tests, even in documentation
- own all directories
- use rpm filetriggers starting from mandriva 2010.1

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 0.2.4-4mdv2010.0
+ Revision: 441481
- rebuild

* Thu Jan 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-3mdv2009.1
+ Revision: 322493
- rebuild

* Thu Jul 17 2008 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-2mdv2009.0
+ Revision: 236990
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.2.4-1mdv2008.1
+ Revision: 136415
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sat Nov 11 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-1mdv2007.0
+ Revision: 82365
- Import php-pear-Net_Monitor

* Sat May 20 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.4-1mdk
- 0.2.4

* Fri Feb 10 2006 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-7mdk
- new group (Development/PHP)

* Fri Aug 26 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-6mdk
- rebuilt to fix auto deps

* Wed Aug 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-5mdk
- rebuilt to use new pear auto deps/reqs from pld

* Sun Jul 31 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-4mdk
- fix deps

* Thu Jul 21 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-3mdk
- reworked the %%post and %%preun stuff, like in conectiva
- fix deps

* Wed Jul 20 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-2mdk
- fix deps

* Tue Jul 19 2005 Oden Eriksson <oeriksson@mandriva.com> 0.2.3-1mdk
- initial Mandriva package (PLD import)

